Authentication
Refresh Access Token
By consuming this endpoint you can refresh the access token by providing the refresh token.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| refresh | string | Yes | The refresh token used to obtain a new access token. |
Response
The response will contain the new access token.
| Field | Description |
|---|---|
| access | The access token, valid for 5 minutes, is used to authenticate requests to other endpoints. |
POST
/
api
/
token
/
refresh
Refresh Access Token
curl --request POST \
--url https://testapi.kravata.co/api/token/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refresh": "{{refreshToken}}"
}
'import requests
url = "https://testapi.kravata.co/api/token/refresh"
payload = { "refresh": "{{refreshToken}}" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({refresh: '{{refreshToken}}'})
};
fetch('https://testapi.kravata.co/api/token/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://testapi.kravata.co/api/token/refresh",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'refresh' => '{{refreshToken}}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://testapi.kravata.co/api/token/refresh"
payload := strings.NewReader("{\n \"refresh\": \"{{refreshToken}}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://testapi.kravata.co/api/token/refresh")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"refresh\": \"{{refreshToken}}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://testapi.kravata.co/api/token/refresh")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"refresh\": \"{{refreshToken}}\"\n}"
response = http.request(request)
puts response.read_body{
"access": "<jwt>"
}Refresh Access Token
curl --request POST \
--url https://testapi.kravata.co/api/token/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refresh": "{{refreshToken}}"
}
'import requests
url = "https://testapi.kravata.co/api/token/refresh"
payload = { "refresh": "{{refreshToken}}" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({refresh: '{{refreshToken}}'})
};
fetch('https://testapi.kravata.co/api/token/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://testapi.kravata.co/api/token/refresh",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'refresh' => '{{refreshToken}}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://testapi.kravata.co/api/token/refresh"
payload := strings.NewReader("{\n \"refresh\": \"{{refreshToken}}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://testapi.kravata.co/api/token/refresh")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"refresh\": \"{{refreshToken}}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://testapi.kravata.co/api/token/refresh")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"refresh\": \"{{refreshToken}}\"\n}"
response = http.request(request)
puts response.read_body{
"access": "<jwt>"
}
